Naar hoofdinhoud gaan
GET
/
phone
/
bulk
curl --request GET \
  --url 'https://api.enrow.io/phone/bulk?id=e3b61122-d6a6-4ea7-b331-9b734682a76a' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "general": {
    "id": "e3b61122-d6a6-4ea7-b331-9b734682a76a",
    "status": "completed"
  },
  "results": [
    {
      "country": "US",
      "index": 0,
      "number": "+15705551234",
      "params": {
        "linkedin_url": "https://www.linkedin.com/in/michael-scott"
      },
      "qualification": "found"
    },
    {
      "country": "US",
      "index": 1,
      "number": "+15705555678",
      "params": {
        "linkedin_url": "https://www.linkedin.com/in/dwight-schrute"
      },
      "qualification": "found"
    }
  ],
  "stats": {
    "credits_cost": 80,
    "credits_to_refund": 0,
    "found": 2,
    "requested": 2
  }
}
GET
https://api.enrow.io/phone/bulk?id={batch_id}
Haal de resultaten op van een eerder ingediende bulkzoekopdracht naar telefoonnummers. Authenticeer elk verzoek met je API-sleutel in de x-api-key-header.
Met een webhook hoef je dit GET-endpoint niet aan te roepen. Zie Hoe webhooks werken.

Queryparameters

id
string
vereist
De id die door het POST-verzoek wordt geretourneerd

Response

200 — Zoekopdracht voltooid

general
object
Batchmetadata
stats
object
Batchstatistieken
results
array
Array met zoekresultaten

200 — Zoekopdracht loopt nog

general
object
id en status: "ongoing"
stats
object
Aantallen voor requested en finished

Foutmeldingen

CodeBericht
400Missing id in the query params
400Could not retrieve bulk search results
500serverfout
Zie Foutafhandeling voor de volledige lijst met statuscodes en responseformaten.
curl --request GET \
  --url 'https://api.enrow.io/phone/bulk?id=e3b61122-d6a6-4ea7-b331-9b734682a76a' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "general": {
    "id": "e3b61122-d6a6-4ea7-b331-9b734682a76a",
    "status": "completed"
  },
  "results": [
    {
      "country": "US",
      "index": 0,
      "number": "+15705551234",
      "params": {
        "linkedin_url": "https://www.linkedin.com/in/michael-scott"
      },
      "qualification": "found"
    },
    {
      "country": "US",
      "index": 1,
      "number": "+15705555678",
      "params": {
        "linkedin_url": "https://www.linkedin.com/in/dwight-schrute"
      },
      "qualification": "found"
    }
  ],
  "stats": {
    "credits_cost": 80,
    "credits_to_refund": 0,
    "found": 2,
    "requested": 2
  }
}

Volgende stappen

Telefoonnummers in bulk zoeken

Dien een nieuwe batch met telefoonnummerzoekopdrachten in.

Eén resultaat ophalen

Haal het resultaat van één telefoonzoekopdracht op via id.

Webhooks

Word automatisch op de hoogte gebracht wanneer een batch is voltooid.

Credits & facturering

Bekijk hoe credits worden verbruikt en terugbetaald.